
typedef unsigned char byte;
typedef unsigned short word;

#ifndef EXT
#define EXT extern
#endif

EXT byte font[];
EXT int scrmode;	/* Required screen mode */
EXT int oldmode;	/* Original screen mode */

int getmode(void);
void setmode(byte m);
void initscr();

typedef enum
{
	YELLOW = 0,
	RED = 1,
	GREEN = 2
} ATTR;

void show_msg(int row, int col, ATTR attr, const char *txt);
void show_char(int row, int col, ATTR attr, byte c);

int get_ticks(void);
